#include <bits/stdc++.h>
using namespace std;


int main() {
 int n, a[100000], answer=0, k=0, i=0, ii=0;
 cin>>n;
 for(int i=1; i<=n; i++) {
     cin>>a[i];
 }
int sum=1;


 for(int k=n; sum!=0; k--) {
answer=answer+a[k];
 sum=0;
 for(int i=1; i<=n; i++) {
      sum=sum+a[i];
 }
 


 }

 cout<<answer;

}
